OfficeGest
Stocks/Articles/{article}/Generate barcode

Generate article barcode

Automatically generates and assigns a barcode to the article based on the configured barcode prefix and rules. Updates the article barcode field with the generated value.

PATCH
/stocks/articles/{article}/generate-barcode
AuthorizationBearer <token>

In: header

Path Parameters

articlestring

Response Body

curl -X PATCH "https://og-tenant1.test:8003/api/v2/stocks/articles/string/generate-barcode"
Empty
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}